# Set up the books for an edition and a base currency

`POST /accounting/setup` · Rivier · accounting

Set up the books for an edition and a base currency.

- Scope: accounting:admin
- Sdk: accounting.settings.setup
- Cli: accounting settings setup

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "preset": {
      "type": "string",
      "enum": [
        "shop",
        "hotel",
        "services",
        "freelancer",
        "publication"
      ],
      "default": "shop"
    },
    "baseCurrency": {
      "type": "string",
      "pattern": "^[a-z]{3}$",
      "default": "eur"
    },
    "country": {
      "type": "string",
      "pattern": "^[A-Z]{2}$"
    },
    "fiscalStartMonth": {
      "type": "integer",
      "minimum": 1,
      "maximum": 12,
      "default": 1
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/accounting/setup' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "preset": "shop",
  "baseCurrency": "eur",
  "country": "string",
  "fiscalStartMonth": 1
}'
```
